import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotAlarmLog/` + url, ...arg)

/**
 * 异常和报警处理日志Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 17:08
 **/
export default {
	// 获取异常和报警处理日志分页
	depotAlarmLogPage(data) {
		return request('page', data, 'get')
	},
	// 获取异常和报警处理日志列表
	depotAlarmLogList(data) {
		return request('list', data, 'get')
	},
	// 提交异常和报警处理日志表单 edit为true时为编辑，默认为新增
	depotAlarmLogSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除异常和报警处理日志
	depotAlarmLogDelete(data) {
		return request('delete', data)
	},
	// 获取异常和报警处理日志详情
	depotAlarmLogDetail(data) {
		return request('detail', data, 'get')
	}
}
